io.vertx.rxjava.core.streams

## Interface WriteStream<T>

- All Superinterfaces:
    StreamBase
  All Known Subinterfaces:
    WebSocketBase
  All Known Implementing Classes:
    AsyncFile, HttpClientRequest, HttpServerResponse, MessageProducer, NetSocket, PacketWritestream, ServerWebSocket, SockJSSocket, WebSocket

      public interface WriteStream<T>
      extends StreamBase

  Represents a stream of data that can be written to.

  Any class that implements this interface can be used by a `Pump` to pump data from a `ReadStream` to it.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `WriteStream<T>` | `drainHandler(Handler<Void> handler)` Set a drain handler on the stream.
    `WriteStream<T>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the write stream.
    `Object` | `getDelegate()`
    `static <T> WriteStream<T>` | `newInstance(WriteStream arg)`
    `WriteStream<T>` | `setWriteQueueMaxSize(int maxSize)` Set the maximum size of the write queue to `maxSize`.
    `WriteStream<T>` | `write(T data)` Write some data to the stream.
    `boolean` | `writeQueueFull()` This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Method Detail

    - #### getDelegate

          Object getDelegate()

      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### exceptionHandler

          WriteStream<T> exceptionHandler(Handler<Throwable> handler)

      Set an exception handler on the write stream.
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### write

          WriteStream<T> write(T data)

      Write some data to the stream. The data is put on an internal write queue, and the write actually happens asynchronously. To avoid running out of memory by putting too much on the write queue, check the `writeQueueFull()` method before writing. This is done automatically if using a `Pump`.
      Parameters:
        `data` - the data to write
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWriteQueueMaxSize

          WriteStream<T> setWriteQueueMaxSize(int maxSize)

      Set the maximum size of the write queue to `maxSize`. You will still be able to write to the stream even if there is more than `maxSize` bytes in the write queue. This is used as an indicator by classes such as `Pump` to provide flow control.
      Parameters:
        `maxSize` - the max size of the write stream
      Returns:
        a reference to this, so the API can be used fluently

    - #### writeQueueFull

          boolean writeQueueFull()

      This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`
      Returns:
        true if write queue is full

    - #### drainHandler

          WriteStream<T> drainHandler(Handler<Void> handler)

      Set a drain handler on the stream. If the write queue is full, then the handler will be called when the write queue has been reduced to maxSize / 2. See `Pump` for an example of this being used.
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          static <T> WriteStream<T> newInstance(WriteStream arg)

Copyright © 2015. All Rights Reserved.